VFSDirectoryEntryTableModel (jEdit API Documentation)
Date: 2015-10-20

org.gjt.sp.jedit.browser

## Class VFSDirectoryEntryTableModel

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - org.gjt.sp.jedit.browser.VFSDirectoryEntryTableModel

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.table.TableModel

      public class VFSDirectoryEntryTableModel
      extends javax.swing.table.AbstractTableModel

  Since:
    jEdit 4.2pre1
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VFSDirectoryEntryTableModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collapse(VFS vfs, int index)`
    `protected void` | `columnMoved(int from, int to)`
    `int` | `expand(VFS vfs, org.gjt.sp.jedit.browser.VFSDirectoryEntryTableModel.Entry entry, java.util.List<VFSFile> list)`
    `boolean` | `getAscending()`
    `java.lang.Class` | `getColumnClass(int col)`
    `int` | `getColumnCount()`
    `java.lang.String` | `getColumnName(int col)`
    `int` | `getColumnWidth(int i)`
    `java.lang.String` | `getExtendedAttribute(int index)`
    `VFSFile[]` | `getFiles()`
    `int` | `getRowCount()`
    `java.lang.String` | `getSortAttribute(int column)`
    `int` | `getSortColumn()`
    `java.lang.Object` | `getValueAt(int row, int col)`
    `void` | `setColumnWidth(int i, int w)`
    `void` | `setRoot(VFS vfs, java.util.List<VFSFile> list)`
    `boolean` | `sortByColumn(int column)`

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VFSDirectoryEntryTableModel

          public VFSDirectoryEntryTableModel()

  - ### Method Detail

    - #### setRoot

          public void setRoot(VFS vfs,
                              java.util.List<VFSFile> list)

    - #### expand

          public int expand(VFS vfs,
                            org.gjt.sp.jedit.browser.VFSDirectoryEntryTableModel.Entry entry,
                            java.util.List<VFSFile> list)

    - #### collapse

          public void collapse(VFS vfs,
                               int index)

    - #### getColumnCount

          public int getColumnCount()

    - #### getRowCount

          public int getRowCount()

    - #### getColumnName

          public java.lang.String getColumnName(int col)

      Specified by:
        `getColumnName` in interface `javax.swing.table.TableModel`
      Overrides:
        `getColumnName` in class `javax.swing.table.AbstractTableModel`

    - #### getColumnClass

          public java.lang.Class getColumnClass(int col)

      Specified by:
        `getColumnClass` in interface `javax.swing.table.TableModel`
      Overrides:
        `getColumnClass` in class `javax.swing.table.AbstractTableModel`

    - #### getValueAt

          public java.lang.Object getValueAt(int row,
                                             int col)

    - #### getAscending

          public boolean getAscending()

    - #### getSortColumn

          public int getSortColumn()

    - #### getSortAttribute

          public java.lang.String getSortAttribute(int column)

    - #### sortByColumn

          public boolean sortByColumn(int column)

    - #### getExtendedAttribute

          public java.lang.String getExtendedAttribute(int index)

    - #### getColumnWidth

          public int getColumnWidth(int i)

      Parameters:
        `i` - The column index
      Returns:
        A saved column width
      Since:
        jEdit 4.3pre2

    - #### setColumnWidth

          public void setColumnWidth(int i,
                                     int w)

      Parameters:
        `i` - The column index
        `w` - The column width
      Since:
        jEdit 4.3pre2

    - #### columnMoved

          protected void columnMoved(int from,
                                     int to)

    - #### getFiles

          public VFSFile[] getFiles()